<p-dialog header="Notifikasi AFC" dismissableMask="true"  modal="true" [responsive]="true" [(visible)]="displayDialogAfc">
    <p>
        catatan :
        <br>
        <textarea [rows]="5" [cols]="30" pInputTextarea autoResize="true"  [(ngModel)]="vehicleSalesOrder.afcNotApprvNote" maxlength="150" ></textarea>
    </p>
    
    <p-footer>
        <button pButton type="button" (click)="closeDialogNotif()"
            label="OK"
            icon="fa-ban"
            class="ui-button-primary flat-label-button">
        </button>
    </p-footer>
</p-dialog>

<p-dialog header="Notifikasi Admin Sales" dismissableMask="true"  modal="true" [responsive]="true" [(visible)]="displayDialogAdmSls">
    <p>
        catatan :
        <br>
        <textarea [rows]="5" [cols]="30" pInputTextarea autoResize="true"  [(ngModel)]="vehicleSalesOrder.adminSalesNotApprvNote" maxlength="150" ></textarea>
    </p>
    
    <p-footer>
        <button pButton type="button" (click)="closeDialogNotif()"
            label="OK"
            icon="fa-ban"
            class="ui-button-primary flat-label-button">
        </button>
    </p-footer>
</p-dialog>


<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="ui-g" style="background-color: white">
        <div class="ui-g-12"  style="border: solid 1px black ">
            <div class="ui-g" >                
                <div class="ui-g-12">                
                    <div class="ui-g">                        
                        <div class="ui-g-4">
                            <div *ngIf="vehicleSalesOrder.orderNumber != null  then templateOrderNumber; else templateRequirementNumber">
                                </div>
                                <ng-template #templateOrderNumber>
                                    {{'mpmApp.vehicleSalesOrder.noVSO'|translate}} : {{vehicleSalesOrder.orderNumber}}
                                </ng-template>
                                <ng-template #templateRequirementNumber>
                                    {{'mpmApp.vehicleSalesOrder.noVSO'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.requirementNumber}}
                                </ng-template>
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.nameSales'|translate}} : {{vehicleSalesOrder.salesUnitRequirement.salesmanName}}
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.nameKorsales'|translate}} : {{vehicleSalesOrder.korsalName}}
                        </div>                        
                    </div>
                </div>
                <div class="ui-g-12" >   
                    <div class="ui-g">
                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.tglVso'|translate}} : {{vehicleSalesOrder.dateOrder | date:'dd-MMM-yyyy'}}
                        </div>                        
                        <div class="ui-g-4">
                            {{'mpmApp.vehicleSalesOrder.idSales'|translate}} : {{vehicleSalesOrder.salesNumber}}
                        </div>                        
                        <div class="ui-g-4">
                            <div *ngIf="vehicleSalesOrder.salesUnitRequirement.saleTypeId == 21">
                                    Credit - {{vehicleSalesOrder.leasingName}} 
                            </div>
                            <div *ngIf="vehicleSalesOrder.salesUnitRequirement.saleTypeId == 20">
                                    {{'mpmApp.vehicleSalesOrder.cash'|translate}}
                                    
                            </div>
                        </div>                                                                    
                    </div>
                </div>

                <div class="ui-g-6"> 
                </div>
            </div>            
        </div>

        <br>
       
        <div class="ui-g-12">
            <p-tabView>
              
                <p-tabPanel header="{{stepLabel[0]}}" [selected]="1==stepUi" *ngIf="!isMatchingMenu">
                    <p-panel [toggleable]="true">
                        <p-header>
                            {{'mpmApp.vehicleSalesOrder.verified'|translate}}
                        </p-header>
                        <div *ngIf="vehicleSalesOrder">
                            <jhi-vso-edit-data-verifikasi 
                            [data]="vehicleSalesOrder" 
                            [status]="vehicleSalesOrder.currentStatus">
                            </jhi-vso-edit-data-verifikasi>
                        </div>
                    </p-panel>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[1]}}" [selected]="2==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-vso-customer-view
                        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                        [vso]="vehicleSalesOrder"
                        [status]="vehicleSalesOrder.currentStatus"
                        ></jhi-vso-customer-view>
                    </div>                    
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[2]}}" [selected]="3==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-vso-stnk-view
                        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement"
                        [status]="vehicleSalesOrder.currentStatus">
                        </jhi-vso-stnk-view>
                    </div>                                        
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[3]}}"  [selected]="4==stepUi">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">                        
                        <jhi-vso-edit-dataa-kendaraan 
                            [data]="vehicleSalesOrder.salesUnitRequirement"
                            [statusVso]="vehicleSalesOrder.currentStatus"
                            [vso]="vehicleSalesOrder"
                            [isMatchingMenu]="isMatchingMenu"
                            [status]="vehicleSalesOrder.currentStatus"
                        ></jhi-vso-edit-dataa-kendaraan>
                    </div>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[4]}}" [selected]="5==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.customer">
                        <jhi-party-document-as-list 
                            [idparty] = "vehicleSalesOrder.customer.partyId"
                            [readonly]="false">
                        </jhi-party-document-as-list>
                    </div>
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[5]}}" [selected]="6==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder">       
                        <jhi-vso-edit-data-harga-pembayaran
                            [data]="vehicleSalesOrder.salesUnitRequirement"
                            [vso]="vehicleSalesOrder"
                            (fnDisable)="cekDisable($event)"
                            [status]="vehicleSalesOrder.currentStatus"
                        >
                        </jhi-vso-edit-data-harga-pembayaran>
                   </div>
                    <!-- <jhi-receipt-as-list [idParty]="vehicleSalesOrder.customer.partyId">

                    </jhi-receipt-as-list> -->
                    <!-- <jhi-sales-unit-requirement-payment-view
                        [salesUnitRequirement]="vehicleSalesOrder.salesUnitRequirement" >
                    </jhi-sales-unit-requirement-payment-view> -->
                    <br>
                    <br>
                    <div *ngIf="vehicleSalesOrder.afcVeriDate!=null">                                                
                        <div class="ui-g-12">
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.verified'|translate}} : {{vehicleSalesOrder.afcVeriDate | date}}</div>                                                            
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}} : {{getDescription(vehicleSalesOrder.afcVerifyValue)}}</div>
                            <div *ngIf="vehicleSalesOrder.afcVerifyValue==2">
                                <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.note'|translate}} : {{vehicleSalesOrder.afcNotApprvNote}}</div>
                            </div>
                        </div>
                    </div>
                    <div>
                        <button pButton type="button" (click)="approveAfc(1)"
                            label="Approve AFC"
                            icon="fa-thumbs-up"
                            [disabled]="vehicleSalesOrder.afcVerifyValue!=0 || isDisable" 
                            class="ui-button-primary flat-label-button"
                            *jhiHasAnyAuthority="['ROLE_AFC']">
                        </button>
                        <button pButton type="button" (click)="openDialogNotif('afc')"
                            label="Not Approve AFC"
                            icon="fa-ban"
                            [disabled]="vehicleSalesOrder.afcVerifyValue!=0 || isDisable"  
                            class="ui-button-primary flat-label-button"
                            *jhiHasAnyAuthority="['ROLE_AFC']">
                        </button>
                        <!-- <button pButton type="button" (click)="autoMatch()"
                            label="Auto matching"
                            icon="fa-eyes"
                            [disabled]="vehicleSalesOrder.afcVerifyValue==0 "  
                            class="ui-button-primary flat-label-button">
                        </button> -->
                    </div>
                    
                </p-tabPanel>
                <p-tabPanel header="{{stepLabel[6]}}" [selected]="7==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement">
                        <jhi-vso-edit-data-note
                        [data]="vehicleSalesOrder.salesUnitRequirement"
                        [status]=vehicleSalesOrder.currentStatus >
                    </jhi-vso-edit-data-note>
                    </div>
                    <br>       
                    <div *ngIf="vehicleSalesOrder.adminSalesVeriDate!=null">
                        <div class="ui-g">
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.verified'|translate}} : {{vehicleSalesOrder.adminSalesVeriDate | date}}</div>                                                            
                            <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.status'|translate}} : {{getDescription(vehicleSalesOrder.adminSalesVerifyValue)}}</div>
                            <div *ngIf="vehicleSalesOrder.adminSalesVerifyValue==2">
                                <div class="ui-g-12 ui-sm-12">{{'mpmApp.vehicleSalesOrder.note'|translate}} : {{vehicleSalesOrder.adminSalesNotApprvNote}}</div>
                            </div>
                        </div>
                    </div>
                    <button pButton type="button" (click)="approveAdminSales(1)"
                        label="Approve Admin Sales"
                        icon="fa-thumbs-up"
                        [disabled]="vehicleSalesOrder.adminSalesVerifyValue!=0" 
                        class="ui-button-primary flat-label-button"
                        >
                    </button>
                    <button pButton type="button" (click)="openDialogNotif('admsls')"
                        label="Not Approve Admin Sales"
                        icon="fa-ban"
                        [disabled]="vehicleSalesOrder.adminSalesVerifyValue!=0" 
                        class="ui-button-primary flat-label-button">
                    </button>
                </p-tabPanel>
                
                <p-tabPanel header="{{stepLabel[7]}}" [selected]="8==stepUi" *ngIf="!isMatchingMenu">
                    <div *ngIf="vehicleSalesOrder.salesUnitRequirement.customerId">
                        <jhi-vso-edit-data-cdb
                            [idCustomer]="vehicleSalesOrder.salesUnitRequirement.customerId"
                            [dataStnk]="vehicleSalesOrder.salesUnitRequirement"
                            [editabled]="true"
                            [sur]="vehicleSalesOrder.salesUnitRequirement"
                            [status]="vehicleSalesOrder.currentStatus"
                        ></jhi-vso-edit-data-cdb>
                    </div>
                </p-tabPanel>
            </p-tabView>    
        </div>
        <div class="ui-g-12">
            <hr>
            <div style="text-align: right">
                <!-- <button pButton type="button" 
                    (click)="enablePassDP()"
                    label="Pass DP"
                    icon="fa-check"
                    [hidden]="!vehicleSalesOrder.salesUnitRequirement.canCloseDP"
                    class="ui-button-danger flat-label-button">
                </button> -->
                <!-- <button pButton type="button" 
                    (click)="enablePassDP()"
                    label="Pass DP"
                    icon="fa-check"
                    class="ui-button-danger flat-label-button">
                </button> -->
                <button pButton type="button" (click)="closeForm()"
                    label="{{'entity.action.back' | translate}}"
                    icon="fa-ban"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="prev()"
                    label="{{'mpmApp.vehicleSalesOrder.prev' | translate}}"
                    icon="fa-ban"
                    *ngIf="!isMatchingMenu"
                    class="ui-button-danger flat-label-button">
                </button>
                <button pButton type="button" (click)="next()"
                    label="{{'mpmApp.vehicleSalesOrder.next' | translate}}"
                    icon="fa-ban"
                    *ngIf="!isMatchingMenu"
                    class="ui-button-danger flat-label-button">
                </button>
            </div>
            <br><br>
        </div>
    </div>

    <!-- <div class="modal-body" >            
        
    </div>
         -->
    <!-- </p-panel> -->
</form>
